apiVersion: v1
kind: Service
metadata:
    name: kubernetes-dashboard-lb
    namespace: kubernetes-dashboard
    annotations:
        metallb.universe.tf/allow-shared-ip: internal
spec:
    type: LoadBalancer
    ports:
        - port: ENC[AES256_GCM,data:gjlBRA==,iv:dCvYCYKP7sRrE07wfHBO8D/yT8iEGa+GXrIF0cvE7hE=,tag:FRlr/3sBhILkN/6DecGpBg==,type:int]
          protocol: ENC[AES256_GCM,data:XBtP,iv:kjwAr1hQInd1yW74QHToivSzwRtDOhVlzUFzPU9BU08=,tag:APebvqQ+j3eKHE4tGSusVg==,type:str]
          targetPort: ENC[AES256_GCM,data:/c33cQ==,iv:6hGK7HpTo4CNyCy6TSKrXzw4klQTfLvOvtq5L78RWG0=,tag:VHh5fiS1dLwBmmDhSyrp5g==,type:int]
    selector:
        k8s-app: ENC[AES256_GCM,data:YAbcJXpCb68oPo7YhiL5TTQUEBY=,iv:wWGQWUs4QbKH6NTEoHvENBojS1PFAHXsfKVsgkcvtD4=,tag:oLYYLqQV05eqIImTB+Eo6A==,type:str]
    loadBalancerIP: ENC[AES256_GCM,data:fEjju7+g5o9Ff9h+,iv:QkLPS6n4GcarkLuaDL/tk0/n7sMuccBIlA+oq4DWwf4=,tag:rt1htTctI/9YdUMAZHSDeA==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBYS0c3VUMxVFRaeUEwbjRF
            UG9rYWd1ZnBtM1BoUzhBUDJyZkxqclpuOVJBCjJlU0NiQ3owR2xHeWhJY3RHajFU
            NWVmTFJTbEVVMU9lOW4ycHByV3hSRWMKLS0tIG9FQmR5RmY4SUNUZHJNaHZtdnpO
            allWNUpHRjJOZW9SMGpUS0Z3ZVp5dHcKpOXrYKSc9xh4FHlTvKGTUVBtV4GKF9NY
            IXsqFfv9uIMoU2oi/mJpcNsXda+r/KM5Y5DnjrjN20bdF8S/siObGg==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-29T21:30:58Z"
    mac: ENC[AES256_GCM,data:BhUuSyt52jtRo8sbWxxDne0/0dVciiSObZ6arJx/ldvN5RmFhgAPRt4CkzFfTO32GBQdz3VJiN6QPvwXHpJTKa9q5GTdugQwfCjsGaVDPpTykp3eG2I+s2OSd2zt9gx+l1VZ3SMPenSojCpY08PMo0IQW03ycmeuxv4vA+qMZ0c=,iv:CbQcrdvlw6pn9BpIaEX6e8VBzQcqWHhEkuj4zGlXZcE=,tag:uwQHbzEVfAzkfgNaYT/IaQ==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
